Fork me on GitHub"

# skbio.io.registry.IORegistry.get_reader

`IORegistry.``get_reader`(format_name, cls)

  Locate the reader for a format and class.

  State: Stable as of 0.4.0.

  Parameters:

  - format_name (str) – The name of the format to lookup.
  - cls (type or None) – The class which the reader will return an instance of. If cls is None, the reader will return a generator. Default is None.

  Returns: | The reader associated with format_name and cls
  Return type: | function or None